echo off
cls
echo.
echo CDRDAO CD dumping tool for MAME
echo -------------------------------
echo.
if "%1"=="" goto blank
if "%1"=="i" goto instructions
goto dump

:instructions
echo The first time you run it type 'cdrdao scanbus' or run 1_scanbus.cmd
echo This shows your device ID (the first 3 numbers such as 0,1,0)
echo Now edit 2_dump.cmd (it's a text file) and change the ID to the same ID of your drive.
echo Do not change anything else.
echo.
echo To use it normally type '2_dump cdname'
echo Ensure 'cdname' is the label on the CD so it is correctly documented in MAME.
echo No spaces in the label. Please use _ for spaces.
echo.
echo Example: '2_dump ge984_a01'
echo.
goto done

:dump
cdrdao.exe read-cd --read-raw --device 3,0,0 --read-subchan rw_raw --datafile %1.bin %1.toc
echo Done!
echo.
echo.
echo Now making CHD for MAME....
echo.
chdman createcd -i %1.toc -o %1.chd
echo Done!
goto done

:blank
echo ERROR! The CD name/label is missing!
echo Type '2_dump i' for dumping instructions.
echo Type 'cdrdao -i' for full cdrdao command line options.
echo.

:done
pause
